# SubCreator.ServerTemplate (SubServers.Host)

net.ME1312.SubServers.Host.Executable

## Class SubCreator.ServerTemplate

- java.lang.Object
- - net.ME1312.SubServers.Host.Executable.SubCreator.ServerTemplate

Enclosing class:
  SubCreator

    public static class SubCreator.ServerTemplate
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ServerTemplate(java.lang.String name, boolean enabled, java.lang.String icon, java.io.File directory, YAMLSection build, YAMLSection options)` Create a SubCreator Template

### Method Summary

All Methods Instance Methods Concrete Methods
`YAMLSection` `getBuildOptions()` Get the Build Options for this Template
`YAMLSection` `getConfigOptions()` Get the Configuration Options for this Template
`java.io.File` `getDirectory()` Get the Directory for this Template
`java.lang.String` `getDisplayName()` Get the Display Name of this Template
`java.lang.String` `getIcon()` Get the Item Icon for this Template
`java.lang.String` `getName()` Get the Name of this Template
`SubCreator.ServerType` `getType()` Get the Type of this Template
`boolean` `isEnabled()` Get the Enabled Status of this Template
`void` `setDisplayName(java.lang.String value)` Sets the Display Name for this Template
`void` `setEnabled(boolean value)` Set the Enabled Status of this Template
`void` `setIcon(java.lang.String value)` Set the Item Icon for this Template

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServerTemplate

    public ServerTemplate(java.lang.String name,
                          boolean enabled,
                          java.lang.String icon,
                          java.io.File directory,
                          YAMLSection build,
                          YAMLSection options)

Create a SubCreator Template

Parameters:
  `name` - Template Name
  `directory` - Template Directory
  `build` - Build Options
  `options` - Configuration Options

### Method Detail

#### getName

    public java.lang.String getName()

Get the Name of this Template

Returns:
  Template Name

#### getDisplayName

    public java.lang.String getDisplayName()

Get the Display Name of this Template

Returns:
  Display Name

#### setDisplayName

    public void setDisplayName(java.lang.String value)

Sets the Display Name for this Template

Parameters:
  `value` - Value (or null to reset)

#### isEnabled

    public boolean isEnabled()

Get the Enabled Status of this Template

Returns:
  Enabled Status

#### setEnabled

    public void setEnabled(boolean value)

Set the Enabled Status of this Template

Parameters:
  `value` - Value

#### getIcon

    public java.lang.String getIcon()

Get the Item Icon for this Template

Returns:
  Item Icon Name/ID

#### setIcon

    public void setIcon(java.lang.String value)

Set the Item Icon for this Template

Parameters:
  `value` - Value

#### getDirectory

    public java.io.File getDirectory()

Get the Directory for this Template

Returns:
  Directory

#### getType

    public SubCreator.ServerType getType()

Get the Type of this Template

Returns:
  Template Type

#### getBuildOptions

    public YAMLSection getBuildOptions()

Get the Build Options for this Template

Returns:
  Build Options

#### getConfigOptions

    public YAMLSection getConfigOptions()

Get the Configuration Options for this Template

Returns:
  Configuration Options